Subject: Visa Status
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 13 Jan 2000 07:50:00 -0800 (PST)

I want to keep you informed about my visa status.
My current H1B visa expires on 15th January, 2000.  My H1B visa extension 
application has been submitted to INS by Milenia Soto, Enron's immigration 
attorney.  I spoke with Milenia Soto yesterday and came to know that she has 
not received the receipt yet, however, she told me that it is perfectly legal 
to work based on the fact that application for extension has been submitted 
to INS.

Milenia Soto has received the receipts from INS of my change of status 
application package which includes submission of applications for change of 
status,  work permit, advanced parole and finger print.  Earlier, my I-140 
application was approved by INS during the first week of September, 1999.

If you need additional information and/or want to contact Milenia Soto, her 
phone number is (713) 522 0141.

Sincerely,
Amitava Dhar